Bug 2245883 - Review Request: dnsconfd - local DNS cache configuration daemon
Summary: Review Request: dnsconfd - local DNS cache configuration daemon
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/InfrastructureServ...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-24 12:55 UTC by Tomas Korbar
Modified: 2024-01-28 12:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
pemensik: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6563211 to 6947198 (4.87 KB, patch)
2024-01-24 16:00 UTC, Fedora Review Service
no flags Details | Diff

Description Tomas Korbar 2023-10-24 12:55:25 UTC
Spec URL: https://tkorbar.fedorapeople.org/dnsconfd.spec
SRPM URL: https://tkorbar.fedorapeople.org/dnsconfd-0.0.1-1.fc40.src.rpm
Description: local DNS cache configuration daemon
Fedora Account System Username: tkorbar

Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=108032162

Comment 1 Fedora Review Service 2023-10-25 02:35:57 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6563211
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2245883-dnsconfd/fedora-rawhide-x86_64/06563211-dnsconfd/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Petr Menšík 2023-11-01 16:51:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- systemd_post is invoked in %post, systemd_preun in %preun, and
  systemd_postun in %postun for Systemd service files.
  Note: Systemd service file(s) in dnsconfd
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Scriptlets/#_scriptlets
- %_datadir/dbus-1/system.d should be used instead of %_sysconfdir/dbus-1/system.d IMO. Unless there is a technical problem, vendor configuration should be there. Especially because it is not market %config(noreplace).
- Should depend on dbus-common also
- %name-selinux must depend also on %name%{_isa} = %{version}-%{release} or ship at least license file independently.
- I think we cannot enable service in %post. It should be added to presents in wanted this way. https://docs.fedoraproject.org/en-US/packaging-guidelines/DefaultServices/#_approved_exceptions


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /var/lib/selinux/targeted/active/modules/200
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/dbus-1/system.d,
     /usr/share/selinux/packages/targeted, /etc/dbus-1,
     /var/lib/selinux/targeted/active/modules/200
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     dnsconfd-selinux
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dnsconfd-0.0.1-1.fc40.noarch.rpm
          dnsconfd-selinux-0.0.1-1.fc40.noarch.rpm
          dnsconfd-0.0.1-1.fc40.src.rpm
============================================================== rpmlint session starts =============================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpahtcauo9')]
checks: 31, packages: 3

dnsconfd.noarch: E: zero-length /var/log/dnsconfd/unbound.log
dnsconfd.noarch: W: summary-not-capitalized local DNS cache configuration daemon
dnsconfd.src: W: summary-not-capitalized local DNS cache configuration daemon
dnsconfd-selinux.noarch: W: summary-not-capitalized dnsconfd SELinux policy
dnsconfd.noarch: E: script-without-shebang /var/log/dnsconfd/unbound.log
dnsconfd-selinux.noarch: E: non-readable /var/lib/selinux/targeted/active/modules/200/dnsconfd 0
dnsconfd.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: no-url-tag
dnsconfd.src: W: no-url-tag
dnsconfd-selinux.noarch: W: no-url-tag
dnsconfd-selinux.noarch: W: no-documentation
dnsconfd.spec:82: W: macro-in-comment %{SOURCE3}
dnsconfd.spec:82: W: macro-in-comment %{buildroot}
dnsconfd.spec:82: W: macro-in-comment %{_sysusersdir}
dnsconfd.spec:99: W: macro-in-comment %sysusers_create_compat
dnsconfd.spec:99: W: macro-in-comment %{SOURCE3}
dnsconfd.spec:127: W: macro-in-comment %{_sysusersdir}
dnsconfd.noarch: W: log-files-without-logrotate ['/var/log/dnsconfd']
dnsconfd.noarch: W: empty-%postun
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="com.redhat.dnsconfd"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.resolve1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="com.redhat.dnsconfd"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.resolve1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dangerous-command-in-%pre rm
dnsconfd-selinux.noarch: W: dangerous-command-in-%pre cp
dnsconfd-selinux.noarch: W: dangerous-command-in-%posttrans rm
============================== 3 packages and 0 specfiles checked; 3 errors, 23 warnings, 3 badness; has taken 0.3 s ==============================




Rpmlint (installed packages)
----------------------------
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 2

dnsconfd.noarch: E: zero-length /var/log/dnsconfd/unbound.log
dnsconfd-selinux.noarch: W: summary-not-capitalized dnsconfd SELinux policy
dnsconfd.noarch: W: summary-not-capitalized local DNS cache configuration daemon
dnsconfd.noarch: E: script-without-shebang /var/log/dnsconfd/unbound.log
dnsconfd-selinux.noarch: W: read-error [Errno 21] Is a directory: '/var/lib/selinux/targeted/active/modules/200/dnsconfd'
dnsconfd-selinux.noarch: E: non-readable /var/lib/selinux/targeted/active/modules/200/dnsconfd 0
dnsconfd.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd-selinux.noarch: W: no-url-tag
dnsconfd.noarch: W: no-url-tag
dnsconfd-selinux.noarch: W: no-documentation
dnsconfd.noarch: W: log-files-without-logrotate ['/var/log/dnsconfd']
dnsconfd.noarch: W: empty-%postun
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="com.redhat.dnsconfd"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.resolve1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="com.redhat.dnsconfd"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.resolve1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd-selinux.noarch: W: dangerous-command-in-%pre cp
dnsconfd.noarch: W: dangerous-command-in-%pre rm
dnsconfd-selinux.noarch: W: dangerous-command-in-%posttrans rm
 2 packages and 0 specfiles checked; 3 errors, 16 warnings, 3 badness; has taken 0.1 s 



Source checksums
----------------
https://github.com/InfrastructureServices/dnsconfd/archive/refs/tags/0.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : a7fb0e41749853242f7549eff84b446d0d5d61db09029468c8c287355a3ab8b9
  CHECKSUM(SHA256) upstream package : a7fb0e41749853242f7549eff84b446d0d5d61db09029468c8c287355a3ab8b9


Requires
--------
dnsconfd (rpmlib, GLIBC filtered):
    (dnsconfd-selinux if selinux-policy-targeted)
    /bin/sh
    /usr/bin/python3
    config(dnsconfd)
    python(abi)
    python3-gobject
    python3.12dist(dbus-python)
    shadow-utils
    unbound

dnsconfd-selinux (rpmlib, GLIBC filtered):
    /bin/sh
    libselinux-utils
    policycoreutils
    policycoreutils-python-utils
    selinux-policy
    selinux-policy-base
    selinux-policy-targeted



Provides
--------
dnsconfd:
    config(dnsconfd)
    dnsconfd
    python3.12dist(dnsconfd)
    python3dist(dnsconfd)

dnsconfd-selinux:
    dnsconfd-selinux



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2245883
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: Java, Perl, fonts, Haskell, R, Ocaml, SugarActivity, PHP, C/C++
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 3 Tomas Korbar 2023-12-20 08:24:46 UTC
Updated spec: https://tkorbar.fedorapeople.org/dnsconfd.spec
It contains also changes that you proposed in upstream PR #1

Comment 5 Fedora Review Service 2024-01-24 16:00:20 UTC
Created attachment 2010247 [details]
The .spec file difference from Copr build 6563211 to 6947198

Comment 6 Fedora Review Service 2024-01-24 16:00:22 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6947198
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2245883-dnsconfd/fedora-rawhide-x86_64/06947198-dnsconfd/fedora-review/review.txt

Found issues:

- Systemd service file(s) in dnsconfd
  Read more: https://docs.fedoraproject.org/en-US/packaging-guidelines/Scriptlets/#_scriptlets

Please know that there can be false-positives.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 7 Petr Menšík 2024-01-24 16:29:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- systemd_post is invoked in %post, systemd_preun in %preun, and
  systemd_postun in %postun for Systemd service files.
  Note: Systemd service file(s) in dnsconfd
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Scriptlets/#_scriptlets
- Main package must depend on dbus-common


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License", "*No copyright* MIT
     License". 71 files have unknown license. Detailed output of
     licensecheck in
     /home/pemensik/fedora/rawhide/2245883-dnsconfd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[?]: Package requires other packages for directories it uses.
     Note: No known owner of /var/lib/selinux/targeted/active/modules/200
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /var/lib/selinux/targeted/active/modules/200, /etc/dbus-1,
     /usr/share/selinux/packages/targeted, /etc/dbus-1/system.d
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 2622 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dnsconfd-0.0.2-1.fc40.noarch.rpm
          dnsconfd-selinux-0.0.2-1.fc40.noarch.rpm
          dnsconfd-unbound-0.0.2-1.fc40.noarch.rpm
          dnsconfd-0.0.2-1.fc40.src.rpm
================================================ rpmlint session starts ===============================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpoulcfv3c')]
checks: 31, packages: 4

dnsconfd.noarch: E: zero-length /var/log/dnsconfd/unbound.log
dnsconfd.noarch: W: summary-not-capitalized local DNS cache configuration daemon
dnsconfd.src: W: summary-not-capitalized local DNS cache configuration daemon
dnsconfd-selinux.noarch: W: summary-not-capitalized dnsconfd SELinux policy
dnsconfd-unbound.noarch: W: summary-not-capitalized dnsconfd unbound module
dnsconfd.noarch: E: script-without-shebang /var/log/dnsconfd/unbound.log
dnsconfd-selinux.noarch: E: non-readable /var/lib/selinux/targeted/active/modules/200/dnsconfd 0
dnsconfd.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd-selinux.noarch: W: no-documentation
dnsconfd-unbound.noarch: W: no-documentation
dnsconfd.noarch: W: log-files-without-logrotate ['/var/log/dnsconfd']
dnsconfd.noarch: W: empty-%postun
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="com.redhat.dnsconfd"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.resolve1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="com.redhat.dnsconfd"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.resolve1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.systemd1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dangling-relative-symlink /usr/share/licenses/dnsconfd/LICENSE distribution/LICENSE
dnsconfd-selinux.noarch: W: dangerous-command-in-%pre cp
dnsconfd-selinux.noarch: W: dangerous-command-in-%posttrans rm
================ 4 packages and 0 specfiles checked; 3 errors, 17 warnings, 3 badness; has taken 0.4 s ================




Rpmlint (installed packages)
----------------------------
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 3

dnsconfd.noarch: E: zero-length /var/log/dnsconfd/unbound.log
dnsconfd.noarch: W: summary-not-capitalized local DNS cache configuration daemon
dnsconfd-unbound.noarch: W: summary-not-capitalized dnsconfd unbound module
dnsconfd-selinux.noarch: W: summary-not-capitalized dnsconfd SELinux policy
dnsconfd.noarch: E: script-without-shebang /var/log/dnsconfd/unbound.log
dnsconfd-selinux.noarch: W: read-error [Errno 21] Is a directory: '/var/lib/selinux/targeted/active/modules/200/dnsconfd'
dnsconfd.noarch: W: python-missing-require dbus-python
dnsconfd.noarch: W: python-leftover-require python3-gobject-base
dnsconfd-selinux.noarch: E: non-readable /var/lib/selinux/targeted/active/modules/200/dnsconfd 0
dnsconfd.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd-unbound.noarch: W: no-documentation
dnsconfd-selinux.noarch: W: no-documentation
dnsconfd.noarch: W: log-files-without-logrotate ['/var/log/dnsconfd']
dnsconfd.noarch: W: empty-%postun
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="com.redhat.dnsconfd"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.resolve1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="com.redhat.dnsconfd"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.resolve1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dbus-policy-allow-receive <allow receive_sender="org.freedesktop.systemd1"/> /etc/dbus-1/system.d/com.redhat.dnsconfd.conf
dnsconfd.noarch: W: dangling-relative-symlink /usr/share/licenses/dnsconfd/LICENSE distribution/LICENSE
dnsconfd-selinux.noarch: W: dangerous-command-in-%pre cp
dnsconfd-selinux.noarch: W: dangerous-command-in-%posttrans rm
 3 packages and 0 specfiles checked; 3 errors, 19 warnings, 14 filtered, 3 badness; has taken 0.2 s 



Source checksums
----------------
https://github.com/InfrastructureServices/dnsconfd/archive/0.0.2/dnsconfd-0.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 570e94a5f6b055d875bff1b5df4ed156d1a23815a26232acc25326e0924b5b92
  CHECKSUM(SHA256) upstream package : 570e94a5f6b055d875bff1b5df4ed156d1a23815a26232acc25326e0924b5b92


Requires
--------
dnsconfd (rpmlib, GLIBC filtered):
    (dnsconfd-selinux if selinux-policy-targeted)
    /bin/sh
    /usr/bin/python3
    config(dnsconfd)
    dnsconfd-cache
    python(abi)
    python3-gobject-base
    python3.12dist(dbus-python)
    shadow-utils

dnsconfd-selinux (rpmlib, GLIBC filtered):
    /bin/sh
    dnsconfd
    libselinux-utils
    policycoreutils
    policycoreutils-python-utils
    selinux-policy
    selinux-policy-base
    selinux-policy-targeted

dnsconfd-unbound (rpmlib, GLIBC filtered):
    config(dnsconfd-unbound)
    dnsconfd
    unbound



Provides
--------
dnsconfd:
    config(dnsconfd)
    dnsconfd
    python3.12dist(dnsconfd)
    python3dist(dnsconfd)

dnsconfd-selinux:
    dnsconfd-selinux

dnsconfd-unbound:
    config(dnsconfd-unbound)
    dnsconfd-cache
    dnsconfd-unbound



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2245883
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Perl, Haskell, fonts, SugarActivity, Ocaml, R, C/C++, PHP, Java
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 8 Petr Menšík 2024-01-24 22:33:49 UTC
Created changes to fix found spec issues.

https://github.com/InfrastructureServices/dnsconfd/pull/21

Comment 9 Tomas Korbar 2024-01-25 09:16:41 UTC
Updated.

Comment 10 Petr Menšík 2024-01-25 15:47:35 UTC
Okay, seems better. Passing the review.

Comment 11 Fedora Admin user for bugzilla script actions 2024-01-28 12:29:58 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/dnsconfd


Note You need to log in before you can comment on or make changes to this bug.